Name:		freeswitch-codec-commercial-g729
Version:	194
Release:	%mkrel 5
Summary:    	Freeswitch g729 commercial module
License:    	BSD
Group:      	System/Libraries
URL:        	http://files.freeswitch.org/g729/
Requires:	freeswitch
Buildrequires:	wget
Provides:	freeswitch-codec-g729

%description
Coder/decoder g729 Codec support for FreeSWITCH open source telephony platform

%prep
wget http://files.freeswitch.org/g729/fsg729-194-installer
ARCHIVE=`awk '/^__ARCHIVE_BELOW__/ {print NR + 1; exit 0; }' fsg729-194-installer`
tail -n+$ARCHIVE fsg729-194-installer | tar xz 

%ifarch %ix86
tar -zxf fsg729_i386.tar.gz
%endif
%ifarch x86_64 amd64 ia32e
tar -zxf fsg729_x86_64.tar.gz
%endif

%install
install -d %{buildroot}%{_sbindir}
install fsg729/freeswitch_licence_server %{buildroot}%{_sbindir}/freeswitch_licence_server
install -d %{buildroot}%{_libdir}/freeswitch/mod
install fsg729/mod_com_g729.so %{buildroot}%{_libdir}/freeswitch/mod
install -d %{buildroot}%{_bindir}
install fsg729/validator %{buildroot}%{_bindir}

%pre
PID=$(pidof freeswitch_licence_server)
if [ $PID ]
then
	kill -9 $PID
fi

%post
echo "Now you can activate your license by running %{_bindir}/validator" 

%files
%defattr(-,root,root)
%{_sbindir}/*
%{_bindir}/*
%{_libdir}/freeswitch/mod/*


%changelog
* Thu Jul 25 2013 dlucio <dlucio> 194-5.mga4.nonfree
+ Revision: 458027
- fix conflicts with g729 passthrough
- fix conflicts with g729 passthrough

* Tue Jul 09 2013 dlucio <dlucio> 194-3.mga4.nonfree
+ Revision: 452238
- freeswitch-codec-passthru-g729 conflicts

* Tue Jul 09 2013 dlucio <dlucio> 194-2.mga4.nonfree
+ Revision: 452232
- pre fixes

* Tue Jul 09 2013 dlucio <dlucio> 194-1.mga4.nonfree
+ Revision: 452212
- wget as BR
- Hello world!
- imported package freeswitch-codec-commercial-g729

